import ParameterTypes from "@site/src/components/ParameterTypes"

# PartialPick

 **PartialPick**: &#123; [P in K]?: T[P] &#125;

## Type Parameters

<ParameterTypes parameters={[
  {
    "name": "T",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "K",
    "type": "keyof `T`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
